#
# spec file for package python-avro
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-avro
Version:        1.9.2
Release:        lp152.1.1
Summary:        A serialization and RPC framework for Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://avro.apache.org/
Source:         https://files.pythonhosted.org/packages/source/a/avro/avro-%{version}.tar.gz
BuildRequires:  %{python_module isort}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-python-snappy
BuildArch:      noarch
%python_subpackages

%description
Avro is a serialization and RPC framework.

%prep
%setup -q -n avro-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Dies on which is nowhere even in their VCS
#  E   ImportError: No module named set_avro_test_path
#%%pytest

%files %{python_files}
%python3_only %{_bindir}/avro
%{python_sitelib}/*

%changelog
* Thu Mar  5 2020 pgajdos@suse.com
- version update to 1.9.2
  * no upstream changelog found
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.0:
  * no upstream changelog
* Fri Jun 21 2019 pgajdos@suse.com
- version update to 1.9.0
  * no upstream changelog found
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Nov 29 2018 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Thu Nov 29 2018 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 1.8.2)
